Zum Hauptinhalt springen

Cancel the Termination for the referred ContractItem

DELETE/v2/contracts/{contractId}/items/{contractItemId}/termination
API-Version
v2
Request-Methode
DELETE
Operation-ID
contract-cancel-contract-item-termination

Request​

  • contractIdstringrequired

    The uuid of the Contract where the terminated ContractItem belongs to.

  • contractItemIdstring (uuid)required

    The uuid of the ContractItem for which the Termination is to be cancelled. Only works for ContractItem for which a Termination is stored.

    Beispiel:"4d495bcd-4d4c-4bf9-b1c8-72b99a2ea7f2"

Responses​

Format
application/json
Beschreibung

Return the contractId and the contractItemId of the ContractItem where the Termination was cancelled.

  • contractIdstring (uuid)
  • contractItemIdstring (uuid)
  • isCancelledboolean
Content-Type: application/json

{
"contractId": "f0f86186-0a5a-45b2-aa33-502777496347",
"contractItemId": "f0f86186-0a5a-45b2-aa33-502777496347",
"isCancelled": true
}
{
"properties": {
"contractId": {
"format": "uuid",
"type": "string"
},
"contractItemId": {
"format": "uuid",
"type": "string"
},
"isCancelled": {
"type": "boolean"
}
}
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X DELETE \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/contracts/string/items/f0f86186-0a5a-45b2-aa33-502777496347/termination
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.contract.cancelContractItemTermination({
"contractId": "string",
"contractItemId": "f0f86186-0a5a-45b2-aa33-502777496347"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Contract\CancelContractItemTermination\CancelContractItemTerminationRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new CancelContractItemTerminationRequest(
contractId: "string",
contractItemId: "f0f86186-0a5a-45b2-aa33-502777496347"
));
$response = $client->contract()->cancelContractItemTermination($request);

var_dump($response->getBody();

Auf dieser Seite